CKEDITOR.plugins.add( 'youtube',
{
	init: function( editor )
	{
		editor.addCommand( 'youtubeCommand', new CKEDITOR.dialogCommand( 'youtubeDialog' ) );
		editor.ui.addButton( 'youtube',
			{
				label: 'لادراج ملف من اليوتيوب',
				command: 'youtubeCommand',
				icon: this.path + 'youtube.gif'
			}
		);
		CKEDITOR.dialog.add( 'youtubeDialog', function( editor )
		{
			var url = '';
			return {
				title : 'ادراج يوتيوب',
				width : 400,
				height : 'auto',
				contents :
				[
					{
						id : 'youtube',
						label : 'youtube',
						elements :
						[

							{
								type : 'text',
								id : 'url',
								label : 'الرابط',
								validate : CKEDITOR.dialog.validate.functions(function( youtube_url ) {
									var regExp = /^.*((youtu.be\/)|(v\/)|(\/u\/\w\/)|(embed\/)|(watch\?))\??v?=?([^#\&\?]*).*/;
									var match = youtube_url.match(regExp);
									if (match&&match[7].length==11){
										url = match[7];
										return match[7];
									}else{
										return false;
									}
									return true;
								}, 'رجاء ادخال رابط يو تيوب صحح'),
								required : true,
								commit : function( me )
								{
									me.url = url;
								}
							},
							{
								type : 'html',
								html : '<center>يجب ان يكون الرابط رابط صحيح من اليوتيوب</center>'
							}
						]
					}
				],
				onOk : function(me)
				{
					this.commitContent( me );
					editor.insertHtml('[youtube]' + me.url  + '[/youtube]');
				}
			};
		}
		);
	}
});